COMPILER FRONT-END TOOL OPTIONS

-Interfaces interfaces -Modules modules
    The (names of the) interfaces and modules to compile. The location of an interface or module is found by looking it up on the search path. These names must conform to the Modula-3 syntax for a module or interface name. Pathnames are not allowed.

-PathNames pathnames
    The names of files from which to compile an interface or module. Only files with pathnames ending in the set of legal Modula-3 source file extensions are compiled. Files with other extensions are silently ignored.

-PrintUnits
    Print the name of each unit as it is compiled and the file from which it was read. The indentation indicates the import depth.

-TTimings
    Generate output on the time taken to execute the compiler phases.

The -PathNames keyword is the only one that is optional, so `m3tool Foo.m3' is the same as `m3tool -PathNames Foo.m3' (and as `m3tool -pn Foo.m3').